<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TDU_ParceirosERP StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:TDU_ParceirosERP
 * @subpackage Structs
 */
class TDU_ParceirosERP extends AbstractStructBase
{
    /**
     * The CDU_Codigo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_Codigo;
    /**
     * The CDU_ConfiguracaoEasyPay1
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay1;
    /**
     * The CDU_ConfiguracaoEasyPay10
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay10;
    /**
     * The CDU_ConfiguracaoEasyPay2
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay2;
    /**
     * The CDU_ConfiguracaoEasyPay3
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay3;
    /**
     * The CDU_ConfiguracaoEasyPay4
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay4;
    /**
     * The CDU_ConfiguracaoEasyPay5
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay5;
    /**
     * The CDU_ConfiguracaoEasyPay6
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay6;
    /**
     * The CDU_ConfiguracaoEasyPay7
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay7;
    /**
     * The CDU_ConfiguracaoEasyPay8
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay8;
    /**
     * The CDU_ConfiguracaoEasyPay9
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $CDU_ConfiguracaoEasyPay9;
    /**
     * The CDU_ContaBancaria
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_ContaBancaria;
    /**
     * The CDU_ContaBancariaAdesao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_ContaBancariaAdesao;
    /**
     * The CDU_Descricao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_Descricao;
    /**
     * The CDU_Tipo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_Tipo;
    /**
     * The CDU_Vendedor
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CDU_Vendedor;
    /**
     * The Protegida
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Protegida;
    /**
     * Constructor method for TDU_ParceirosERP
     * @uses TDU_ParceirosERP::setCDU_Codigo()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay1()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay10()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay2()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay3()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay4()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay5()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay6()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay7()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay8()
     * @uses TDU_ParceirosERP::setCDU_ConfiguracaoEasyPay9()
     * @uses TDU_ParceirosERP::setCDU_ContaBancaria()
     * @uses TDU_ParceirosERP::setCDU_ContaBancariaAdesao()
     * @uses TDU_ParceirosERP::setCDU_Descricao()
     * @uses TDU_ParceirosERP::setCDU_Tipo()
     * @uses TDU_ParceirosERP::setCDU_Vendedor()
     * @uses TDU_ParceirosERP::setProtegida()
     * @param string $cDU_Codigo
     * @param int $cDU_ConfiguracaoEasyPay1
     * @param int $cDU_ConfiguracaoEasyPay10
     * @param int $cDU_ConfiguracaoEasyPay2
     * @param int $cDU_ConfiguracaoEasyPay3
     * @param int $cDU_ConfiguracaoEasyPay4
     * @param int $cDU_ConfiguracaoEasyPay5
     * @param int $cDU_ConfiguracaoEasyPay6
     * @param int $cDU_ConfiguracaoEasyPay7
     * @param int $cDU_ConfiguracaoEasyPay8
     * @param int $cDU_ConfiguracaoEasyPay9
     * @param string $cDU_ContaBancaria
     * @param string $cDU_ContaBancariaAdesao
     * @param string $cDU_Descricao
     * @param string $cDU_Tipo
     * @param string $cDU_Vendedor
     * @param bool $protegida
     */
    public function __construct($cDU_Codigo = null, $cDU_ConfiguracaoEasyPay1 = null, $cDU_ConfiguracaoEasyPay10 = null, $cDU_ConfiguracaoEasyPay2 = null, $cDU_ConfiguracaoEasyPay3 = null, $cDU_ConfiguracaoEasyPay4 = null, $cDU_ConfiguracaoEasyPay5 = null, $cDU_ConfiguracaoEasyPay6 = null, $cDU_ConfiguracaoEasyPay7 = null, $cDU_ConfiguracaoEasyPay8 = null, $cDU_ConfiguracaoEasyPay9 = null, $cDU_ContaBancaria = null, $cDU_ContaBancariaAdesao = null, $cDU_Descricao = null, $cDU_Tipo = null, $cDU_Vendedor = null, $protegida = null)
    {
        $this
            ->setCDU_Codigo($cDU_Codigo)
            ->setCDU_ConfiguracaoEasyPay1($cDU_ConfiguracaoEasyPay1)
            ->setCDU_ConfiguracaoEasyPay10($cDU_ConfiguracaoEasyPay10)
            ->setCDU_ConfiguracaoEasyPay2($cDU_ConfiguracaoEasyPay2)
            ->setCDU_ConfiguracaoEasyPay3($cDU_ConfiguracaoEasyPay3)
            ->setCDU_ConfiguracaoEasyPay4($cDU_ConfiguracaoEasyPay4)
            ->setCDU_ConfiguracaoEasyPay5($cDU_ConfiguracaoEasyPay5)
            ->setCDU_ConfiguracaoEasyPay6($cDU_ConfiguracaoEasyPay6)
            ->setCDU_ConfiguracaoEasyPay7($cDU_ConfiguracaoEasyPay7)
            ->setCDU_ConfiguracaoEasyPay8($cDU_ConfiguracaoEasyPay8)
            ->setCDU_ConfiguracaoEasyPay9($cDU_ConfiguracaoEasyPay9)
            ->setCDU_ContaBancaria($cDU_ContaBancaria)
            ->setCDU_ContaBancariaAdesao($cDU_ContaBancariaAdesao)
            ->setCDU_Descricao($cDU_Descricao)
            ->setCDU_Tipo($cDU_Tipo)
            ->setCDU_Vendedor($cDU_Vendedor)
            ->setProtegida($protegida);
    }
    /**
     * Get CDU_Codigo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_Codigo()
    {
        return isset($this->CDU_Codigo) ? $this->CDU_Codigo : null;
    }
    /**
     * Set CDU_Codigo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_Codigo
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_Codigo($cDU_Codigo = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_Codigo) && !is_string($cDU_Codigo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_Codigo)), __LINE__);
        }
        if (is_null($cDU_Codigo) || (is_array($cDU_Codigo) && empty($cDU_Codigo))) {
            unset($this->CDU_Codigo);
        } else {
            $this->CDU_Codigo = $cDU_Codigo;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay1 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay1()
    {
        return isset($this->CDU_ConfiguracaoEasyPay1) ? $this->CDU_ConfiguracaoEasyPay1 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay1 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay1
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay1($cDU_ConfiguracaoEasyPay1 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay1) && !is_numeric($cDU_ConfiguracaoEasyPay1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay1)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay1) || (is_array($cDU_ConfiguracaoEasyPay1) && empty($cDU_ConfiguracaoEasyPay1))) {
            unset($this->CDU_ConfiguracaoEasyPay1);
        } else {
            $this->CDU_ConfiguracaoEasyPay1 = $cDU_ConfiguracaoEasyPay1;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay10 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay10()
    {
        return isset($this->CDU_ConfiguracaoEasyPay10) ? $this->CDU_ConfiguracaoEasyPay10 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay10 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay10
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay10($cDU_ConfiguracaoEasyPay10 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay10) && !is_numeric($cDU_ConfiguracaoEasyPay10)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay10)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay10) || (is_array($cDU_ConfiguracaoEasyPay10) && empty($cDU_ConfiguracaoEasyPay10))) {
            unset($this->CDU_ConfiguracaoEasyPay10);
        } else {
            $this->CDU_ConfiguracaoEasyPay10 = $cDU_ConfiguracaoEasyPay10;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay2 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay2()
    {
        return isset($this->CDU_ConfiguracaoEasyPay2) ? $this->CDU_ConfiguracaoEasyPay2 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay2 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay2
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay2($cDU_ConfiguracaoEasyPay2 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay2) && !is_numeric($cDU_ConfiguracaoEasyPay2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay2)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay2) || (is_array($cDU_ConfiguracaoEasyPay2) && empty($cDU_ConfiguracaoEasyPay2))) {
            unset($this->CDU_ConfiguracaoEasyPay2);
        } else {
            $this->CDU_ConfiguracaoEasyPay2 = $cDU_ConfiguracaoEasyPay2;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay3 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay3()
    {
        return isset($this->CDU_ConfiguracaoEasyPay3) ? $this->CDU_ConfiguracaoEasyPay3 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay3 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay3
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay3($cDU_ConfiguracaoEasyPay3 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay3) && !is_numeric($cDU_ConfiguracaoEasyPay3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay3)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay3) || (is_array($cDU_ConfiguracaoEasyPay3) && empty($cDU_ConfiguracaoEasyPay3))) {
            unset($this->CDU_ConfiguracaoEasyPay3);
        } else {
            $this->CDU_ConfiguracaoEasyPay3 = $cDU_ConfiguracaoEasyPay3;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay4 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay4()
    {
        return isset($this->CDU_ConfiguracaoEasyPay4) ? $this->CDU_ConfiguracaoEasyPay4 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay4 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay4
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay4($cDU_ConfiguracaoEasyPay4 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay4) && !is_numeric($cDU_ConfiguracaoEasyPay4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay4)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay4) || (is_array($cDU_ConfiguracaoEasyPay4) && empty($cDU_ConfiguracaoEasyPay4))) {
            unset($this->CDU_ConfiguracaoEasyPay4);
        } else {
            $this->CDU_ConfiguracaoEasyPay4 = $cDU_ConfiguracaoEasyPay4;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay5 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay5()
    {
        return isset($this->CDU_ConfiguracaoEasyPay5) ? $this->CDU_ConfiguracaoEasyPay5 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay5 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay5
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay5($cDU_ConfiguracaoEasyPay5 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay5) && !is_numeric($cDU_ConfiguracaoEasyPay5)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay5)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay5) || (is_array($cDU_ConfiguracaoEasyPay5) && empty($cDU_ConfiguracaoEasyPay5))) {
            unset($this->CDU_ConfiguracaoEasyPay5);
        } else {
            $this->CDU_ConfiguracaoEasyPay5 = $cDU_ConfiguracaoEasyPay5;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay6 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay6()
    {
        return isset($this->CDU_ConfiguracaoEasyPay6) ? $this->CDU_ConfiguracaoEasyPay6 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay6 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay6
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay6($cDU_ConfiguracaoEasyPay6 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay6) && !is_numeric($cDU_ConfiguracaoEasyPay6)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay6)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay6) || (is_array($cDU_ConfiguracaoEasyPay6) && empty($cDU_ConfiguracaoEasyPay6))) {
            unset($this->CDU_ConfiguracaoEasyPay6);
        } else {
            $this->CDU_ConfiguracaoEasyPay6 = $cDU_ConfiguracaoEasyPay6;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay7 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay7()
    {
        return isset($this->CDU_ConfiguracaoEasyPay7) ? $this->CDU_ConfiguracaoEasyPay7 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay7 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay7
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay7($cDU_ConfiguracaoEasyPay7 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay7) && !is_numeric($cDU_ConfiguracaoEasyPay7)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay7)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay7) || (is_array($cDU_ConfiguracaoEasyPay7) && empty($cDU_ConfiguracaoEasyPay7))) {
            unset($this->CDU_ConfiguracaoEasyPay7);
        } else {
            $this->CDU_ConfiguracaoEasyPay7 = $cDU_ConfiguracaoEasyPay7;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay8 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay8()
    {
        return isset($this->CDU_ConfiguracaoEasyPay8) ? $this->CDU_ConfiguracaoEasyPay8 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay8 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay8
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay8($cDU_ConfiguracaoEasyPay8 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay8) && !is_numeric($cDU_ConfiguracaoEasyPay8)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay8)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay8) || (is_array($cDU_ConfiguracaoEasyPay8) && empty($cDU_ConfiguracaoEasyPay8))) {
            unset($this->CDU_ConfiguracaoEasyPay8);
        } else {
            $this->CDU_ConfiguracaoEasyPay8 = $cDU_ConfiguracaoEasyPay8;
        }
        return $this;
    }
    /**
     * Get CDU_ConfiguracaoEasyPay9 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getCDU_ConfiguracaoEasyPay9()
    {
        return isset($this->CDU_ConfiguracaoEasyPay9) ? $this->CDU_ConfiguracaoEasyPay9 : null;
    }
    /**
     * Set CDU_ConfiguracaoEasyPay9 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $cDU_ConfiguracaoEasyPay9
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ConfiguracaoEasyPay9($cDU_ConfiguracaoEasyPay9 = null)
    {
        // validation for constraint: int
        if (!is_null($cDU_ConfiguracaoEasyPay9) && !is_numeric($cDU_ConfiguracaoEasyPay9)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cDU_ConfiguracaoEasyPay9)), __LINE__);
        }
        if (is_null($cDU_ConfiguracaoEasyPay9) || (is_array($cDU_ConfiguracaoEasyPay9) && empty($cDU_ConfiguracaoEasyPay9))) {
            unset($this->CDU_ConfiguracaoEasyPay9);
        } else {
            $this->CDU_ConfiguracaoEasyPay9 = $cDU_ConfiguracaoEasyPay9;
        }
        return $this;
    }
    /**
     * Get CDU_ContaBancaria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_ContaBancaria()
    {
        return isset($this->CDU_ContaBancaria) ? $this->CDU_ContaBancaria : null;
    }
    /**
     * Set CDU_ContaBancaria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_ContaBancaria
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ContaBancaria($cDU_ContaBancaria = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_ContaBancaria) && !is_string($cDU_ContaBancaria)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_ContaBancaria)), __LINE__);
        }
        if (is_null($cDU_ContaBancaria) || (is_array($cDU_ContaBancaria) && empty($cDU_ContaBancaria))) {
            unset($this->CDU_ContaBancaria);
        } else {
            $this->CDU_ContaBancaria = $cDU_ContaBancaria;
        }
        return $this;
    }
    /**
     * Get CDU_ContaBancariaAdesao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_ContaBancariaAdesao()
    {
        return isset($this->CDU_ContaBancariaAdesao) ? $this->CDU_ContaBancariaAdesao : null;
    }
    /**
     * Set CDU_ContaBancariaAdesao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_ContaBancariaAdesao
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_ContaBancariaAdesao($cDU_ContaBancariaAdesao = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_ContaBancariaAdesao) && !is_string($cDU_ContaBancariaAdesao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_ContaBancariaAdesao)), __LINE__);
        }
        if (is_null($cDU_ContaBancariaAdesao) || (is_array($cDU_ContaBancariaAdesao) && empty($cDU_ContaBancariaAdesao))) {
            unset($this->CDU_ContaBancariaAdesao);
        } else {
            $this->CDU_ContaBancariaAdesao = $cDU_ContaBancariaAdesao;
        }
        return $this;
    }
    /**
     * Get CDU_Descricao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_Descricao()
    {
        return isset($this->CDU_Descricao) ? $this->CDU_Descricao : null;
    }
    /**
     * Set CDU_Descricao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_Descricao
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_Descricao($cDU_Descricao = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_Descricao) && !is_string($cDU_Descricao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_Descricao)), __LINE__);
        }
        if (is_null($cDU_Descricao) || (is_array($cDU_Descricao) && empty($cDU_Descricao))) {
            unset($this->CDU_Descricao);
        } else {
            $this->CDU_Descricao = $cDU_Descricao;
        }
        return $this;
    }
    /**
     * Get CDU_Tipo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_Tipo()
    {
        return isset($this->CDU_Tipo) ? $this->CDU_Tipo : null;
    }
    /**
     * Set CDU_Tipo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_Tipo
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_Tipo($cDU_Tipo = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_Tipo) && !is_string($cDU_Tipo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_Tipo)), __LINE__);
        }
        if (is_null($cDU_Tipo) || (is_array($cDU_Tipo) && empty($cDU_Tipo))) {
            unset($this->CDU_Tipo);
        } else {
            $this->CDU_Tipo = $cDU_Tipo;
        }
        return $this;
    }
    /**
     * Get CDU_Vendedor value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCDU_Vendedor()
    {
        return isset($this->CDU_Vendedor) ? $this->CDU_Vendedor : null;
    }
    /**
     * Set CDU_Vendedor value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cDU_Vendedor
     * @return \StructType\TDU_ParceirosERP
     */
    public function setCDU_Vendedor($cDU_Vendedor = null)
    {
        // validation for constraint: string
        if (!is_null($cDU_Vendedor) && !is_string($cDU_Vendedor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cDU_Vendedor)), __LINE__);
        }
        if (is_null($cDU_Vendedor) || (is_array($cDU_Vendedor) && empty($cDU_Vendedor))) {
            unset($this->CDU_Vendedor);
        } else {
            $this->CDU_Vendedor = $cDU_Vendedor;
        }
        return $this;
    }
    /**
     * Get Protegida value
     * @return bool|null
     */
    public function getProtegida()
    {
        return $this->Protegida;
    }
    /**
     * Set Protegida value
     * @param bool $protegida
     * @return \StructType\TDU_ParceirosERP
     */
    public function setProtegida($protegida = null)
    {
        // validation for constraint: boolean
        if (!is_null($protegida) && !is_bool($protegida)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($protegida)), __LINE__);
        }
        $this->Protegida = $protegida;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TDU_ParceirosERP
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
